#include "cfgPatches.hpp"
 
/*
 
Please fill in the config below with details for your vest submission in the clothing category.
 
Some of the default properties, such as editor categories, DLC details, etc., are not required for entries and have been removed from the template. For each property where your input is required, remove the example text and insert your own between the quotation marks.
 
*/
 
class cfgVehicles{
    #include "cfgGroundHolders.hpp" // Allows the item to be placed from the Eden Editor. Make sure you include the cfgGroundHolders.hpp config entry in the same folder as this config.
};
 
class cfgWeapons
{
    class ItemCore;
    class Vest_Camo_Base: ItemCore
    {
        class ItemInfo;
    };
	class Aow_clothing_base_F: Vest_camo_Base
	{
	};

    class Aow_clothing_F: Aow_clothing_base_F
    {
        author="Community Author";  // Enter your full name
        displayName="Name of Vest"; // Please provide a simple display name
        scope=2; // Ignore
        picture="Clothing\Data\AoW_Clothing_Vest_ca.paa"; // Ignore if using submission template
        model="Clothing\AoW_Clothing_f.p3d"; // Path to your model
        hiddenSelections[]=
        {
            "camo"
        }; // Enter name(s) of any hiddenSelections
        hiddenSelectionsMaterials[]=
        {
            "Clothing\AoW_Clothing_F.rvmat"
        }; // Enter name(s) for materials (.RVMAT) assigned to your model
        hiddenSelectionsTextures[]=
        {
            "Clothing\AoW_Clothing_F_co.paa"
        }; // Enter name(s) for diffuse textures (.PAA) assigned to your model
 
        class ItemInfo: ItemInfo
        {
            uniformModel="Clothing\AoW_Clothing_F.p3d"; // Path to your model          
            containerClass=Supply80; // Ignore 
            mass=15; // Ignore
             
            class HitpointsProtectionInfo // More info at: https://community.bistudio.com/wiki/Arma_3_Soldier_Protection
            {
                class Chest
                {
                     hitPointName="HitChest"; // Ignore
                     armor=16; // Ignore
                     passThrough=0.3; // Ignore
                };
            };
        };
    };
};